# generated by cabal-rpm-2.0.9 --subpackage
# https://docs.fedoraproject.org/en-US/packaging-guidelines/Haskell/

%global pkg_name hlint
%global pkgver %{pkg_name}-%{version}

%global ghclibparserex ghc-lib-parser-ex-8.10.0.19
%global subpkgs %{ghclibparserex}

Name:           %{pkg_name}
Version:        3.2.8
# can only be reset when all subpkgs bumped
Release:        4%{?dist}
Summary:        Haskell source code suggestions

License:        BSD
Url:            https://hackage.haskell.org/package/%{name}
# Begin cabal-rpm sources:
Source0:        https://hackage.haskell.org/package/%{pkgver}/%{pkgver}.tar.gz
Source1:        https://hackage.haskell.org/package/%{ghclibparserex}/%{ghclibparserex}.tar.gz
# End cabal-rpm sources
# ghc-lib-parser build fails on s390x
# https://bugzilla.redhat.com/show_bug.cgi?id=1806109
ExcludeArch:    s390x

# Begin cabal-rpm deps:
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros-extra
BuildRequires:  ghc-aeson-prof
BuildRequires:  ghc-ansi-terminal-prof
BuildRequires:  ghc-base-prof
BuildRequires:  ghc-bytestring-prof
BuildRequires:  ghc-cmdargs-prof
BuildRequires:  ghc-containers-prof
BuildRequires:  ghc-cpphs-prof
BuildRequires:  ghc-data-default-prof
BuildRequires:  ghc-directory-prof
BuildRequires:  ghc-extra-prof
BuildRequires:  ghc-file-embed-prof
BuildRequires:  ghc-filepath-prof
BuildRequires:  ghc-filepattern-prof
BuildRequires:  ghc-ghc-prof
BuildRequires:  ghc-ghc-boot-prof
BuildRequires:  ghc-ghc-boot-th-prof
#BuildRequires:  ghc-ghc-lib-parser-ex-prof
BuildRequires:  ghc-hscolour-prof
BuildRequires:  ghc-process-prof
BuildRequires:  ghc-refact-prof
BuildRequires:  ghc-text-prof
BuildRequires:  ghc-transformers-prof
BuildRequires:  ghc-uniplate-prof
BuildRequires:  ghc-unordered-containers-prof
BuildRequires:  ghc-utf8-string-prof
BuildRequires:  ghc-vector-prof
BuildRequires:  ghc-yaml-prof
Requires:       %{name}-common = %{version}-%{release}
# End cabal-rpm deps

%description
HLint gives suggestions on how to improve your source code.


%package common
Summary:        %{name} common files
BuildArch:      noarch

%description common
This package provides the %{name} common data files.


%package -n ghc-%{name}
Summary:        Haskell %{name} library
Requires:       %{name}-common = %{version}-%{release}

%description -n ghc-%{name}
This package provides the Haskell %{name} shared library.


%package -n ghc-%{name}-devel
Summary:        Haskell %{name} library development files
Provides:       ghc-%{name}-static = %{version}-%{release}
Provides:       ghc-%{name}-static%{?_isa} = %{version}-%{release}
%if %{defined ghc_version}
Requires:       ghc-compiler = %{ghc_version}
%endif
Requires:       ghc-%{name}%{?_isa} = %{version}-%{release}

%description -n ghc-%{name}-devel
This package provides the Haskell %{name} library development files.


%if %{with haddock}
%package -n ghc-%{name}-doc
Summary:        Haskell %{name} library documentation
BuildArch:      noarch
Requires:       ghc-filesystem

%description -n ghc-%{name}-doc
This package provides the Haskell %{name} library documentation.
%endif


%if %{with ghc_prof}
%package -n ghc-%{name}-prof
Summary:        Haskell %{name} profiling library
Requires:       ghc-%{name}-devel%{?_isa} = %{version}-%{release}
Supplements:    (ghc-%{name}-devel and ghc-prof)

%description -n ghc-%{name}-prof
This package provides the Haskell %{name} profiling library.
%endif


%global main_version %{version}

%if %{defined ghclibdir}
%ghc_lib_subpackage %{ghclibparserex}
%endif

%global version %{main_version}


%prep
# Begin cabal-rpm setup:
%setup -q -a1
# End cabal-rpm setup


%build
%ifarch armv7hl
# https://bugzilla.redhat.com/show_bug.cgi?id=1806116
%define cabal_configure_options --ghc-options="-O0"
%endif
# Begin cabal-rpm build:
%ghc_libs_build %{subpkgs}
%ghc_lib_build
# End cabal-rpm build


%install
# Begin cabal-rpm install
%ghc_libs_install %{subpkgs}
%ghc_lib_install
%ghc_fix_rpath %{pkgver}
mv %{buildroot}%{_ghcdocdir}{,-common}
# End cabal-rpm install

mkdir -p %{buildroot}%{_mandir}/man1
mv %{buildroot}%{_datadir}/%{name}-%{version}/hlint.1 %{buildroot}%{_mandir}/man1


%files
# Begin cabal-rpm files:
%{_bindir}/%{name}
# End cabal-rpm files
%{_mandir}/man1/%{name}*


%files common
# Begin cabal-rpm files:
%license LICENSE
%doc CHANGES.txt README.md
%{_datadir}/%{pkgver}
# End cabal-rpm files


%files -n ghc-%{name} -f ghc-%{name}.files


%files -n ghc-%{name}-devel -f ghc-%{name}-devel.files


%if %{with haddock}
%files -n ghc-%{name}-doc -f ghc-%{name}-doc.files
%license LICENSE
%endif


%if %{with ghc_prof}
%files -n ghc-%{name}-prof -f ghc-%{name}-prof.files
%endif


%changelog
* Tue Jun 07 2022 Jens Petersen <petersen@redhat.com> - 3.2.8-4
- https://hackage.haskell.org/package/hlint-3.2.8/changelog

* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 3.2.7-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Sat Jan 08 2022 Miro Hrončok <mhroncok@redhat.com> - 3.2.7-2
- Rebuilt for https://fedoraproject.org/wiki/Changes/LIBFFI34

* Thu Aug  5 2021 Jens Petersen <petersen@redhat.com> - 3.2.7-1
- update to 3.2.7

* Thu Jul 22 2021 Fedora Release Engineering <releng@fedoraproject.org> - 3.1.6-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> - 3.1.6-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Thu Sep  3 2020 Jens Petersen <petersen@redhat.com> - 3.1.6-6
- ghc-lib-parser was packaged

* Tue Jul 28 2020 Fedora Release Engineering <releng@fedoraproject.org> - 3.1.6-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Mon Jul 20 2020 Jens Petersen <petersen@redhat.com> - 3.1.6-4
- enable armv7hl with -O0

* Thu Jul 16 2020 Jens Petersen <petersen@redhat.com> - 3.1.6-3
- update to 3.1.6

* Fri Jun 19 2020 Jens Petersen <petersen@redhat.com> - 3.1.4-2
- update to 3.1.4

* Wed Jun 10 2020 Jens Petersen <petersen@redhat.com> - 2.2.11-1
- https://hackage.haskell.org/package/hlint-2.2.11/changelog
- depends on ghc-lib-parser-ex

* Fri Feb 14 2020 Jens Petersen <petersen@redhat.com> - 2.1.26-1
- update to 2.1.26
- add ghc-lib-parser: exclude s390x (#1806109) and armv7hl (#1806116)

* Wed Jan 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 2.1.11-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Fri Aug 02 2019 Jens Petersen <petersen@redhat.com> - 2.1.11-3
- add doc and prof subpackages (cabal-rpm-1.0.0)

* Thu Jul 25 2019 Fedora Release Engineering <releng@fedoraproject.org> - 2.1.11-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Thu Feb 21 2019 Jens Petersen <petersen@redhat.com> - 2.1.11-1
- update to 2.1.11

* Fri Feb 01 2019 Fedora Release Engineering <releng@fedoraproject.org> - 2.1.8-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Wed Oct 24 2018 Jens Petersen <petersen@redhat.com> - 2.1.8-2
- rebuild for static executable

* Thu Jul 26 2018 Jens Petersen <petersen@redhat.com> - 2.1.8-1
- update to 2.1.8

* Sun Jul 22 2018 Jens Petersen <petersen@redhat.com> - 2.1.7-1
- update to 2.1.7

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.11-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Fri Jun  1 2018 Jens Petersen <petersen@redhat.com> - 2.0.11-9
- refact is now packaged

* Tue Apr 10 2018 Jens Petersen <petersen@redhat.com> - 2.0.11-8
- datadir should be in ghc-hlint (#1564707)

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.11-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Jan 24 2018 Jens Petersen <petersen@redhat.com> - 2.0.11-6
- update to 2.0.11

* Tue Jan 09 2018 Jens Petersen <petersen@redhat.com> - 2.0.9-5
- clock and extra packaged

* Tue Jan  2 2018 Jens Petersen <petersen@redhat.com> - 2.0.9-4
- update to 2.0.9

* Wed Aug 02 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.9.41-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.9.41-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Thu Feb 23 2017 Jens Petersen <petersen@redhat.com> - 1.9.41-1
- update to 1.9.41

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.9.10-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Jun 21 2016 Jens Petersen <petersen@redhat.com> - 1.9.10-4
- build fixes for newer ghc8 and newer hscolour

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.9.10-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.9.10-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Fri Apr  3 2015 Jens Petersen <petersen@redhat.com> - 1.9.10-1
- update to 1.9.10

* Fri Aug 29 2014 Jens Petersen <petersen@redhat.com> - 1.9.4-1
- update to 1.9.4
- refresh to cblrpm-0.8.11
- update tag license to BSD

* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.8.50-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.8.50-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Thu Jan 16 2014 Jens Petersen <petersen@redhat.com> - 1.8.50-1
- update to 1.8.50

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.8.46-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Tue Jun 11 2013 Jens Petersen <petersen@redhat.com> - 1.8.46-2
- update to new simplified Haskell Packaging Guidelines

* Tue Jun 11 2013 Jens Petersen <petersen@redhat.com> - 1.8.46-1
- update to 1.8.46

* Tue Mar 12 2013 Jens Petersen <petersen@redhat.com> - 1.8.43-1
- update to 1.8.43

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.8.33-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Tue Nov 06 2012 Jens Petersen <petersen@redhat.com> - 1.8.33-1
- update to 1.8.33 with cabal-rpm

* Mon Sep 10 2012 Jens Petersen <petersen@redhat.com> - 1.8.31-1
- 1.8.31

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.8.30-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Mon Jul 16 2012 Jens Petersen <petersen@redhat.com> - 1.8.30-1
- update to 1.8.30
- change prof BRs to devel

* Thu Jun 21 2012 Jens Petersen <petersen@redhat.com> - 1.8.29-2
- rebuild

* Sat Jun  9 2012 Jens Petersen <petersen@redhat.com> - 1.8.29-1
- update to 1.8.29

* Thu Mar 22 2012 Jens Petersen <petersen@redhat.com> - 1.8.24-1
- update to 1.8.24

* Tue Feb  7 2012 Jens Petersen <petersen@redhat.com> - 1.8.23-1
- update to 1.8.23

* Thu Jan  5 2012 Jens Petersen <petersen@redhat.com> - 1.8.20-1
- update to 1.8.20 and cabal2spec-0.25.2

* Fri Oct 21 2011 Marcela Mašláňová <mmaslano@redhat.com> - 1.8.17-1.1
- rebuild with new gmp without compat lib

* Sat Oct 15 2011 Jens Petersen <petersen@redhat.com> - 1.8.17-1
- update to 1.8.17

* Wed Oct 12 2011 Peter Schiffer <pschiffe@redhat.com> - 1.8.13-1.1
- rebuild with new gmp

* Fri Jul 22 2011 Jens Petersen <petersen@redhat.com> - 1.8.13-1
- update to 1.8.13

* Wed Jun 22 2011 Jens Petersen <petersen@redhat.com> - 1.8.11-1
- update to 1.8.11
- BR ghc-Cabal-devel instead of ghc-prof and use ghc_arches (cabal2spec-0.23.2)

* Fri Mar 11 2011 Jens Petersen <petersen@redhat.com> - 1.8.7-1
- update to 1.8.7

* Thu Mar 10 2011 Fabio M. Di Nitto <fdinitto@redhat.com> - 1.8.3-6
- Enable build on sparcv9

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.8.3-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sun Jan 23 2011 Jens Petersen <petersen@redhat.com> - 1.8.3-4
- rebuild

* Tue Jan 18 2011 Jens Petersen <petersen@redhat.com> - 1.8.3-3
- update to cabal2spec-0.22.4

* Sun Dec  5 2010 Jens Petersen <petersen@redhat.com> - 1.8.3-2
- rebuild

* Mon Nov 29 2010 Jens Petersen <petersen@redhat.com> - 1.8.3-1
- update to 1.8.3

* Sat Jul 31 2010 Jens Petersen <petersen@redhat.com> - 1.7.3-2
- move manpage to mandir

* Tue Jul 27 2010 Jens Petersen <petersen@redhat.com> - 1.7.3-1
- update to 1.7.3
- update to cabal2spec-0.22.2 and obsolete doc subpackage
- use hscolour

* Sat Jun 26 2010 Jens Petersen <petersen@redhat.com> - 1.7.2-1
- update to 1.7.2
- sync with cabal2spec-0.22

* Mon Feb 15 2010 Conrad Meyer <konrad@tylerc.org> - 1.6.20-1
- Bump to 1.6.20
- Remove LicenseClarification

* Sun Jan 10 2010 Conrad Meyer <konrad@tylerc.org> - 1.6.14-1
- Bump to 1.6.14

* Sat Nov 14 2009 Conrad Meyer <konrad@tylerc.org> - 1.6.12-1
- Bump to 1.6.12
- Fix dep to ghc-cpphs-devel

* Sun Nov 8 2009 Conrad Meyer <konrad@tylerc.org> - 1.6.11-2
- Add license clarification from author (changed license back to GPLv2).

* Thu Oct 29 2009 Conrad Meyer <konrad@tylerc.org> - 1.6.11-1
- Bump version.

* Fri Sep 11 2009 Conrad Meyer <konrad@tylerc.org> - 1.6.8-1
- Bump version.

* Fri Jul 17 2009 Conrad Meyer <konrad@tylerc.org> - 1.4-1
- Fixed BR on ghc-hscolour (to ghc-hscolour-devel).
- Version bumped.
- Add missing BR on ghc-rpm-macros.

* Mon Jan 12 2009 Conrad Meyer <konrad@tylerc.org> - 1.2-1
- initial packaging for Fedora created by cabal2spec
